Subject: Ticket Assigned - Late delivery / 9563750975
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 02 Apr 2022 07:44:57 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late delivery / 9563750975 Meri                    Good morning           11:36 AM, 02nd Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           11:36 AM, 02nd Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            11:36 AM, 02nd Apr                   Ahmed                   Hi this is Ahmed how can I help you today            11:36 AM, 02nd Apr                     Meri                    ?           11:36 AM, 02nd Apr                     Meri                    Dear Adel El Sherbini, We are unable to find your address. Please call back or share your location on WhatsApp so that we can deliver your order. Team Landmark           11:37 AM, 02nd Apr                     Meri                    I have got this message ,  I am trying to call back but no answer           11:38 AM, 02nd Apr                   Ahmed                   Can you share with us your active contact number and your full address so we can update the delivery team.           11:39 AM, 02nd Apr                     Meri                    Al Majaz Premiere Hotel Apartments  Jamal Abdul Nasr Road, الشارقة, الشارقة  https://maps.google.com/maps?q=25.328973009078144,55.392008226874566  https://foursquare.com/v/52965882498e9a711d4bbf10           11:39 AM, 02nd Apr                     Meri                    Al maha tower, next to al majaz premiere hotel           11:40 AM, 02nd Apr                     Meri                    00971555360469           11:40 AM, 02nd Apr                   Ahmed                   I've just checked the order. We've escalated your request to the delivery team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           11:41 AM, 02nd Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4112570